Skip to content

Get TWAP order history​

GET
/v1/twap/historic

Returns all completed and cancelled TWAP orders.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Query Parameters

symbol

Filter by currency pair symbol (e.g., BTCUSDT).

Type
string
Example"BTCUSDT"
status

Filter by order status.

Type
string
skip

Number of records to skip for pagination.

Type
integer
Example0
Format
"int32"
limit

Maximum number of records to return (max 100).

Type
integer
Example100
Format
"int32"
startTime

Include only records on or after this time. Accepts a Unix epoch (milliseconds) or an ISO-8601 timestamp.

Type
string
endTime

Include only records on or before this time. Accepts a Unix epoch (milliseconds) or an ISO-8601 timestamp.

Type
string

Responses​

TWAP order history retrieved successfully

application/json

Playground​

Authorization
Variables
Key
Value

Samples​